Package tigase.vhosts

## Class VHostItemImpl.DataType

- java.lang.Object
- - tigase.vhosts.VHostItemImpl.DataType

- Enclosing class:
    VHostItemImpl

      public static class VHostItemImpl.DataType
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataType​(java.lang.String key, java.lang.String name, java.lang.Class<? extends java.lang.Enum<E>> e, E defValue)` |
    `DataType​(java.lang.String key, java.lang.String name, java.lang.Class cls, java.lang.Class<? extends java.util.Collection> collectionCls, java.lang.Object defValue)` |
    `DataType​(java.lang.String key, java.lang.String name, java.lang.Class cls, java.lang.Class<? extends java.util.Collection> collectionCls, java.lang.Object defValue, java.lang.Object[] options)` |
    `DataType​(java.lang.String key, java.lang.String name, java.lang.Class cls, java.lang.Class<? extends java.util.Collection> collectionCls, java.lang.Object defValue, java.lang.Object[] options, java.lang.String[] optionsNames)` |
    `DataType​(java.lang.String key, java.lang.String name, java.lang.Class cls, java.lang.Object defValue)` |
    `DataType​(java.lang.String key, java.lang.String name, java.lang.Class cls, java.lang.Object defValue, java.lang.Object[] options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class` | `getCls()` |
    `java.lang.Class<? extends java.util.Collection>` | `getCollectionCls()` |
    `<T> T` | `getDefValue()` |
    `java.lang.String` | `getKey()` |
    `java.lang.String` | `getName()` |
    `<T> T[]` | `getOptions()` |
    `java.lang.String[]` | `getOptionsNames()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataType

          public DataType​(java.lang.String key,
                          java.lang.String name,
                          java.lang.Class cls,
                          java.lang.Class<? extends java.util.Collection> collectionCls,
                          java.lang.Object defValue,
                          java.lang.Object[] options,
                          java.lang.String[] optionsNames)

    - #### DataType

          public DataType​(java.lang.String key,
                          java.lang.String name,
                          java.lang.Class cls,
                          java.lang.Class<? extends java.util.Collection> collectionCls,
                          java.lang.Object defValue,
                          java.lang.Object[] options)

    - #### DataType

          public DataType​(java.lang.String key,
                          java.lang.String name,
                          java.lang.Class cls,
                          java.lang.Class<? extends java.util.Collection> collectionCls,
                          java.lang.Object defValue)

    - #### DataType

          public DataType​(java.lang.String key,
                          java.lang.String name,
                          java.lang.Class cls,
                          java.lang.Object defValue,
                          java.lang.Object[] options)

    - #### DataType

          public DataType​(java.lang.String key,
                          java.lang.String name,
                          java.lang.Class cls,
                          java.lang.Object defValue)

    - #### DataType

          public DataType​(java.lang.String key,
                          java.lang.String name,
                          java.lang.Class<? extends java.lang.Enum<E>> e,
                          E defValue)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getKey

          public java.lang.String getKey()

    - #### getCls

          public java.lang.Class getCls()

    - #### getCollectionCls

          public java.lang.Class<? extends java.util.Collection> getCollectionCls()

    - #### getDefValue

          public <T> T getDefValue()

    - #### getOptions

          public <T> T[] getOptions()

    - #### getOptionsNames

          public java.lang.String[] getOptionsNames()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`